
Redmine - Defect #23816

Redmine-Search: everything before a colon in the title will be cut off in search results

2016-09-12 10:21 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Redmine Release 3.3.0: Search results display truncated (searchdisplaytuncated)

When you do a search for tickets containing a colon ":" in the title, everything before the title will be cut off when displaying the

search results.

To reproduce:

Do a search for the string "searchdisplaytuncated" and this ticket will display as a result with the words "Redmine-Search" not

showing up.

As we are using initial descriptors in our ticket titles this is not a purely cosmetical but rather important problem.

History

#1 - 2016-09-12 10:23 - Anonymous

Just tried it out - and on this installation it works.

#2 - 2016-09-12 12:07 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What is "Redmine-Search"?

#3 - 2016-09-13 11:11 - Anonymous

Thanks for your fast reply. The ticket can be closed. I tested this on a redmine test installation and this defect does not occur. So it is caused by one

of the plugins and my own responsibility to take care of.

Thanks a lot

Immanuel.

#4 - 2016-09-13 12:25 - Toshi MARUYAMA

- Category deleted (Search engine)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
